import request from '../../utils/request'

/**
 * 获取网站导航分页
 * 
 */
export function getWeChatConfigInfo(data) {
  return request({
    url: '/QYWeChat/GetWeChatConfigInfo',
    method: 'post',
    data
  })
}

/**
 * 获取网站导航分页
 * 
 */
export function setWeChatConfig(data) {
  return request({
    url: '/QYWeChat/SetWeChatConfig',
    method: 'post',
    data
  })
}

/**
 * 初始化 同步部门至企业微信
 * 
 */
export function setSyncEduDepartment(data) {
  return request({
    url: '/QYWeChat/SetSyncEduDepartment',
    method: 'post',
    data
  })
}
/**
 * 初始化 同步员工至企业微信
 * 
 */
export function SetSynvEduEmployee(data) {
  return request({
    url: '/QYWeChat/SetSynvEduEmployee',
    method: 'post',
    data
  })
}
/**
 * 分组管理 素材分组分页列表
 * 
 */
 export function getWeChatMediumGroupPageList(data) {
  return request({
    url: '/QYWeChat/GetWeChatMediumGroupPageList',
    method: 'post',
    data
  })
}
/**
 * 分组管理 新增修改分组
 * 
 */
 export function setWeChatMediumGroup(data) {
  return request({
    url: '/QYWeChat/SetWeChatMediumGroup',
    method: 'post',
    data
  })
}

/**
 * 分组管理 新增修改分组
 * 
 */
 export function delWeChatMediumGroup(data) {
  return request({
    url: '/QYWeChat/DelWeChatMediumGroup',
    method: 'post',
    data
  })
}

/**
 * 素材管理 获取素材类型枚举列表
 * 
 */
 export function getMediumTypeEnumList(data) {
  return request({
    url: '/QYWeChat/GetMediumTypeEnumList',
    method: 'post',
    data
  })
}

/**
 * 素材管理 素材分组列表
 * 
 */
 export function getWeChatMediumGroupList(data) {
  return request({
    url: '/QYWeChat/GetWeChatMediumGroupList',
    method: 'post',
    data
  })
}

/**
 * 素材管理 获取素材分页列表
 * 
 */
 export function getWeChatMediumPageList(data) {
  return request({
    url: '/QYWeChat/GetWeChatMediumPageList',
    method: 'post',
    data
  })
}

/**
 * 素材管理 新增修改素材
 * 
 */
 export function setWeChatMediumInfo(data) {
  return request({
    url: '/QYWeChat/SetWeChatMediumInfo',
    method: 'post',
    data
  })
}


/**
 * 素材管理 删除素材
 * 
 */
 export function delWecharMediumInfo(data) {
  return request({
    url: '/QYWeChat/DelWecharMediumInfo',
    method: 'post',
    data
  })
}

/**
 * 素材管理 素材移动
 * 
 */
 export function setWecharMediumMore(data) {
  return request({
    url: '/QYWeChat/SetWecharMediumMore',
    method: 'post',
    data
  })
}

/**
 * 获取欢迎语分页列表
 * 
 */
 export function getWeChatWelcomesPageList(data) {
  return request({
    url: '/QYWeChat/GetWeChatWelcomesPageList',
    method: 'post',
    data
  })
}

/**
 * 新增修改欢迎语
 * 
 */
 export function setWeChatWelcomesInfo(data) {
  return request({
    url: '/QYWeChat/SetWeChatWelcomesInfo',
    method: 'post',
    data
  })
}

/**
 * 删除欢迎语
 * 
 */
 export function delWechatWelcomesInfo(data) {
  return request({
    url: '/QYWeChat/DelWechatWelcomesInfo',
    method: 'post',
    data
  })
}
/**
 * 获取欢迎语详情
 * 
 */
 export function getWeChatWelcomesInfo(data) {
  return request({
    url: '/QYWeChat/GetWeChatWelcomesInfo',
    method: 'post',
    data
  })
}

/**
 * 获取渠道分组分页列表
 * 
 */
 export function getWeChatChannelGroupPageList(data) {
  return request({
    url: '/QYWeChat/GetWeChatChannelGroupPageList',
    method: 'post',
    data
  })
}

/**
 * 新增修改渠道分组
 * 
 */
 export function setWeChatChannelGroup(data) {
  return request({
    url: '/QYWeChat/SetWeChatChannelGroup',
    method: 'post',
    data
  })
}
/**
 * 删除渠道分组
 * 
 */
 export function delWeChatChannelGroup(data) {
  return request({
    url: '/QYWeChat/DelWeChatChannelGroup',
    method: 'post',
    data
  })
}


/**
 * 获取客户标签/分组 列表
 * 
 */
 export function getWeChatLableList(data) {
  return request({
    url: '/QYWeChat/GetWeChatLableList',
    method: 'post',
    data
  })
}


/**
 * 新增修改分组/标签
 * 
 */
 export function setWeChatLable(data) {
  return request({
    url: '/QYWeChat/SetWeChatLable',
    method: 'post',
    data
  })
}

/**
 * 删除分组/标签
 * 
 */
 export function delWeChatLable(data) {
  return request({
    url: '/QYWeChat/DelWeChatLable',
    method: 'post',
    data
  })
}
/**
 * 删除分组/标签
 * 
 */
 export function getWeChatChannelGroupList(data) {
  return request({
    url: '/QYWeChat/GetWeChatChannelGroupList',
    method: 'post',
    data
  })
}
/**
 * 删除分组/标签
 * 
 */
 export function getWeChatChannelPageList(data) {
  return request({
    url: '/QYWeChat/GetWeChatChannelPageList',
    method: 'post',
    data
  })
}
/**
 * 保存渠道活码
 * 
 */
 export function setWeChatChannelInfo(data) {
  return request({
    url: '/QYWeChat/SetWeChatChannelInfo',
    method: 'post',
    data
  })
}
/**
 * 渠道活码 详情
 * 
 */
 export function getWeChatChannelInfo(data) {
  return request({
    url: '/QYWeChat/GetWeChatChannelInfo_V2',
    method: 'post',
    data
  })
}

/**
 * 初始化同步企业微信标签
 * 
 */
 export function setSyncWeChatLable(data) {
  return request({
    url: '/QYWeChat/SetSyncWeChatLable',
    method: 'post',
    data
  })
}

/**
 * 初始化同步企业微信标签
 * 
 */
 export function getWeChatChannelCoustomerPageList(data) {
  return request({
    url: '/QYWeChat/GetWeChatChannelCoustomerPageList',
    method: 'post',
    data
  })
}

/**
 * 获取渠道码统计 - 今日新增
 * 
 */
 export function getWeChatChannelStatisticsForDay(data) {
  return request({
    url: '/QYWeChat/GetWeChatChannelStatisticsForDay',
    method: 'post',
    data
  })
}
/**
 * 获取渠道码统计 - 曲线图统计
 * 
 */
 export function getWeChatChannelStatistics(data) {
  return request({
    url: '/QYWeChat/GetWeChatChannelStatistics',
    method: 'post',
    data
  })
}
/**
 * 获取渠道码统计 - 明细列表
 * 
 */
 export function getWeChatChannelStatisticsPageList(data) {
  return request({
    url: '/QYWeChat/GetWeChatChannelStatisticsPageList',
    method: 'post',
    data
  })
}
/**
 * 获取离职人员未交接客服列表
 * 
 */
 export function getLeaveUserClientList(data) {
  return request({
    url: '/QYWeChat/GetLeaveUserClientList',
    method: 'post',
    data
  })
}
/**
 * 获取离职人员未交接客服列表
 * 
 */
 export function setLeaveUserCustomerTransfer(data) {
  return request({
    url: '/QYWeChat/SetLeaveUserCustomerTransfer',
    method: 'post',
    data
  })
}

/**
 * 获取离职人员未交接客服列表
 * 
 */
 export function setUserCoustomerTransfer(data) {
  return request({
    url: '/QYWeChat/SetUserCoustomerTransfer',
    method: 'post',
    data
  })
}







